corSymm                 package:nlme                 R Documentation

General Correlation Structure

Description:

     This function is a constructor for the 'corSymm' class,
     representing a general correlation structure. The internal
     representation of this structure, in terms of unconstrained
     parameters, uses the spherical parametrization defined in Pinheiro
     and Bates (1996).  Objects created using this constructor must
     later be initialized using the  appropriate 'Initialize' method.

Usage:

     corSymm(value, form, fixed)

Arguments:

   value: an optional vector with the parameter values. Default is
          'numeric(0)', which results in a vector of zeros of
          appropriate dimension being assigned to the parameters when
          'object' is initialized (corresponding to an identity
          correlation structure).

    form: a one sided formula of the form '~ t', or '~ t | g',
          specifying a time covariate 't' and,  optionally, a grouping
          factor 'g'. A covariate for this correlation structure must
          be integer valued. When a grouping factor is present in
          'form', the correlation structure is assumed to apply only to
          observations within the same grouping level; observations
          with different grouping levels are assumed to be
          uncorrelated. Defaults to '~ 1', which corresponds to using
          the order of the observations in the data as a covariate, and
          no groups.

   fixed: an optional logical value indicating whether the coefficients
          should be allowed to vary in the optimization, or kept fixed
          at their initial value. Defaults to 'FALSE', in which case
          the coefficients are allowed to vary.

Value:

     an object of class 'corSymm' representing a general correlation
     structure.

Author(s):

     Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates
     bates@stat.wisc.edu

References:

     Pinheiro, J.C. and Bates., D.M.  (1996) "Unconstrained
     Parametrizations for Variance-Covariance Matrices", Statistics and
     Computing, 6, 289-296.

See Also:

     'Initialize.corSymm'

Examples:

     ## covariate is observation order and grouping factor is Subject
     cs1 <- corSymm(form = ~ 1 | Subject)

